<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1, user-scalable=no">
  <meta name="description" content="API docs for the WialonSdk class from the wialon library, for the Dart programming language.">
  <title>WialonSdk class - wialon library - Dart API</title>


  
  <link rel="preconnect" href="https://fonts.gstatic.com">
  <link href="https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,300;0,400;0,500;0,700;1,400&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  
  <link rel="stylesheet" href="../static-assets/github.css?v1">
  <link rel="stylesheet" href="../static-assets/styles.css?v1">
  <link rel="icon" href="../static-assets/favicon.png?v1">

  
</head>


<body data-base-href="../"
      data-using-base-href="false">

<div id="overlay-under-drawer"></div>

<header id="title">
  <button id="sidenav-left-toggle" type="button">&nbsp;</button>
  <ol class="breadcrumbs gt-separated dark hidden-xs">
    <li><a href="../index.html">wialon</a></li>
    <li><a href="../wialon/wialon-library.html">wialon</a></li>
    <li class="self-crumb">WialonSdk class</li>
  </ol>
  <div class="self-name">WialonSdk</div>
  <form class="search navbar-right" role="search">
    <input type="text" id="search-box" autocomplete="off" disabled class="form-control typeahead" placeholder="Loading search...">
  </form>
</header>

<main>


  <div id="dartdoc-main-content" class="main-content">
      <div>
<h1><span class="kind-class">WialonSdk</span> class 
    <a href="https://dart.dev/null-safety" class="feature feature-null-safety" title="Supports the null safety language feature.">Null safety</a>
 
</h1></div>

    
<section class="desc markdown">
  <p>Wialon SDK for dart
Documentation available at <a href="https://sdk.wialon.com/wiki/en/sidebar/remoteapi/apiref/apiref">https://sdk.wialon.com/wiki/en/sidebar/remoteapi/apiref/apiref</a></p>
</section>



    
  <section class="summary offset-anchor" id="constructors">
    <h2>Constructors</h2>

    <dl class="constructor-summary-list">
        <dt id="WialonSdk" class="callable">
          <span class="name"><a href="../wialon/WialonSdk/WialonSdk.html">WialonSdk</a></span><span class="signature">(<span class="parameter" id="-param-debug">{<span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/bool-class.html">bool</a></span> <span class="parameter-name">debug</span> = <span class="default-value">false</span>, </span><span class="parameter" id="-param-sessionId"><span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a>?</span> <span class="parameter-name">sessionId</span>, </span><span class="parameter" id="-param-host"><span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span> <span class="parameter-name">host</span> = <span class="default-value">&#39;https:&#47;&#47;hst-api.wialon.com&#39;</span>}</span>)</span>
        </dt>
        <dd>
          Constructor
        </dd>
    </dl>
  </section>

    <section class="summary offset-anchor" id="instance-properties">
      <h2>Properties</h2>

      <dl class="properties">
        <dt id="baseUrl" class="property">
  <span class="name"><a href="../wialon/WialonSdk/baseUrl.html">baseUrl</a></span>
  <span class="signature">&#8594; <a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span> 

</dt>
<dd>
  
  <div class="features">read-only</div>

</dd>

        <dt id="debug" class="property">
  <span class="name"><a href="../wialon/WialonSdk/debug.html">debug</a></span>
  <span class="signature">&#8594; <a href="https://api.flutter.dev/flutter/dart-core/bool-class.html">bool</a></span> 

</dt>
<dd>
  Enables the logging of the library
  <div class="features">final</div>

</dd>

        <dt id="hashCode" class="property inherited">
  <span class="name"><a href="https://api.flutter.dev/flutter/dart-core/Object/hashCode.html">hashCode</a></span>
  <span class="signature">&#8594; <a href="https://api.flutter.dev/flutter/dart-core/int-class.html">int</a></span> 

</dt>
<dd class="inherited">
  The hash code for this object.
  <div class="features">read-only, inherited</div>

</dd>

        <dt id="host" class="property">
  <span class="name"><a href="../wialon/WialonSdk/host.html">host</a></span>
  <span class="signature">&#8594; <a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span> 

</dt>
<dd>
  Is the hostname (And port if apply) of the Wialon server, by default it is 'https://hst-api.wialon.com'
But you can change it to your server, or if you use Wialon Local, replace the host to your
server
  <div class="features">final</div>

</dd>

        <dt id="runtimeType" class="property inherited">
  <span class="name"><a href="https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html">runtimeType</a></span>
  <span class="signature">&#8594; <a href="https://api.flutter.dev/flutter/dart-core/Type-class.html">Type</a></span> 

</dt>
<dd class="inherited">
  A representation of the runtime type of the object.
  <div class="features">read-only, inherited</div>

</dd>

        <dt id="sessionId" class="property">
  <span class="name"><a href="../wialon/WialonSdk/sessionId.html">sessionId</a></span>
  <span class="signature">&#8596; <a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a>?</span> 

</dt>
<dd>
  Is an existing session id, use it to reuse the session
  <div class="features">read / write</div>

</dd>

      </dl>
    </section>

    
  <section
      class="summary offset-anchor"
      id="instance-methods">
    <h2>Methods</h2>
    <dl class="callables">
        <dt id="call" class="callable">
  <span class="name"><a href="../wialon/WialonSdk/call.html">call</a></span><span class="signature">(<wbr><span class="parameter" id="call-param-method">{<span>required</span> <span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span> <span class="parameter-name">method</span>, </span><span class="parameter" id="call-param-parameters"><span>required</span> <span class="type-annotation">dynamic</span> <span class="parameter-name">parameters</span>}</span>)
    <span class="returntype parameter">&#8594; <a href="https://api.flutter.dev/flutter/dart-async/Future-class.html">Future</a><span class="signature">&lt;<wbr><span class="type-parameter"><a href="https://api.flutter.dev/flutter/dart-core/Map-class.html">Map</a><span class="signature">&lt;<wbr><span class="type-parameter"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span>, <span class="type-parameter">dynamic</span>&gt;</span></span>&gt;</span></span>
  </span>
  

</dt>
<dd>
  Make a call to the Wialon API
  

</dd>

        <dt id="log" class="callable">
  <span class="name"><a href="../wialon/WialonSdk/log.html">log</a></span><span class="signature">(<wbr><span class="parameter" id="log-param-content"><span class="type-annotation">dynamic</span> <span class="parameter-name">content</span></span>)
    <span class="returntype parameter">&#8594; void</span>
  </span>
  

</dt>
<dd>
  debug printer
  

</dd>

        <dt id="logout" class="callable">
  <span class="name"><a href="../wialon/WialonSdk/logout.html">logout</a></span><span class="signature">(<wbr>)
    <span class="returntype parameter">&#8594; <a href="https://api.flutter.dev/flutter/dart-async/Future-class.html">Future</a><span class="signature">&lt;<wbr><span class="type-parameter">void</span>&gt;</span></span>
  </span>
  

</dt>
<dd>
  Logout of Wialon
  

</dd>

        <dt id="noSuchMethod" class="callable inherited">
  <span class="name"><a href="https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html">noSuchMethod</a></span><span class="signature">(<wbr><span class="parameter" id="noSuchMethod-param-invocation"><span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/Invocation-class.html">Invocation</a></span> <span class="parameter-name">invocation</span></span>)
    <span class="returntype parameter">&#8594; dynamic</span>
  </span>
  

</dt>
<dd class="inherited">
  Invoked when a non-existent method or property is accessed.
  <div class="features">inherited</div>

</dd>

        <dt id="oauthLogin" class="callable">
  <span class="name"><a href="../wialon/WialonSdk/oauthLogin.html">oauthLogin</a></span><span class="signature">(<wbr><span class="parameter" id="oauthLogin-param-username">{<span>required</span> <span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span> <span class="parameter-name">username</span>, </span><span class="parameter" id="oauthLogin-param-password"><span>required</span> <span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span> <span class="parameter-name">password</span>}</span>)
    <span class="returntype parameter">&#8594; <a href="https://api.flutter.dev/flutter/dart-async/Future-class.html">Future</a><span class="signature">&lt;<wbr><span class="type-parameter"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a>?</span>&gt;</span></span>
  </span>
  

</dt>
<dd>
  Login into Wialon using username and password through OAuth, this method will return an Access Token
  

</dd>

        <dt id="reverseGeocoding" class="callable">
  <span class="name"><a href="../wialon/WialonSdk/reverseGeocoding.html">reverseGeocoding</a></span><span class="signature">(<wbr><span class="parameter" id="reverseGeocoding-param-latitude">{<span>required</span> <span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/double-class.html">double</a></span> <span class="parameter-name">latitude</span>, </span><span class="parameter" id="reverseGeocoding-param-longitude"><span>required</span> <span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/double-class.html">double</a></span> <span class="parameter-name">longitude</span>, </span><span class="parameter" id="reverseGeocoding-param-flags"><span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/int-class.html">int</a></span> <span class="parameter-name">flags</span> = <span class="default-value">1255211008</span>}</span>)
    <span class="returntype parameter">&#8594; <a href="https://api.flutter.dev/flutter/dart-async/Future-class.html">Future</a><span class="signature">&lt;<wbr><span class="type-parameter"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span>&gt;</span></span>
  </span>
  

</dt>
<dd>
  Rever geocoding, returns name of the location that corresponds to the latitude and longitude given
  

</dd>

        <dt id="tokenLogin" class="callable">
  <span class="name"><a href="../wialon/WialonSdk/tokenLogin.html">tokenLogin</a></span><span class="signature">(<wbr><span class="parameter" id="tokenLogin-param-token">{<span>required</span> <span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span> <span class="parameter-name">token</span>}</span>)
    <span class="returntype parameter">&#8594; <a href="https://api.flutter.dev/flutter/dart-async/Future-class.html">Future</a><span class="signature">&lt;<wbr><span class="type-parameter"><a href="https://api.flutter.dev/flutter/dart-core/Map-class.html">Map</a><span class="signature">&lt;<wbr><span class="type-parameter"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span>, <span class="type-parameter">dynamic</span>&gt;</span></span>&gt;</span></span>
  </span>
  

</dt>
<dd>
  Login into Wialon with the Access Token
  

</dd>

        <dt id="toString" class="callable inherited">
  <span class="name"><a href="https://api.flutter.dev/flutter/dart-core/Object/toString.html">toString</a></span><span class="signature">(<wbr>)
    <span class="returntype parameter">&#8594; <a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a></span>
  </span>
  

</dt>
<dd class="inherited">
  A string representation of this object.
  <div class="features">inherited</div>

</dd>

    </dl>
  </section>
    
  <section
      class="summary offset-anchor inherited"
      id="operators">
    <h2>Operators</h2>
    <dl class="callables">
        <dt id="operator ==" class="callable inherited">
  <span class="name"><a href="https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html">operator ==</a></span><span class="signature">(<wbr><span class="parameter" id="==-param-other"><span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/Object-class.html">Object</a></span> <span class="parameter-name">other</span></span>)
    <span class="returntype parameter">&#8594; <a href="https://api.flutter.dev/flutter/dart-core/bool-class.html">bool</a></span>
  </span>
  

</dt>
<dd class="inherited">
  The equality operator.
  <div class="features">inherited</div>

</dd>

    </dl>
  </section>
    
    
    


  </div> <!-- /.main-content -->

  <div id="dartdoc-sidebar-left" class="sidebar sidebar-offcanvas-left">
    <header id="header-search-sidebar" class="hidden-l">
  <form class="search-sidebar" role="search">
    <input type="text" id="search-sidebar" autocomplete="off" disabled class="form-control typeahead" placeholder="Loading search...">
  </form>
</header>

<ol class="breadcrumbs gt-separated dark hidden-l" id="sidebar-nav">
  <li><a href="../index.html">wialon</a></li>
  <li><a href="../wialon/wialon-library.html">wialon</a></li>
  <li class="self-crumb">WialonSdk class</li>
</ol>


    <h5>wialon library</h5>
    <ol>
  <li class="section-title"><a href="../wialon/wialon-library.html#classes">Classes</a></li>
  <li><a href="../wialon/WialonSdk-class.html">WialonSdk</a></li>








  <li class="section-title"><a href="../wialon/wialon-library.html#exceptions">Exceptions</a></li>
  <li><a href="../wialon/SdkException-class.html">SdkException</a></li>
  <li><a href="../wialon/WialonError-class.html">WialonError</a></li>
</ol>

  </div>

  <div id="dartdoc-sidebar-right" class="sidebar sidebar-offcanvas-right">
    <ol>

        <li class="section-title"><a href="../wialon/WialonSdk-class.html#constructors">Constructors</a></li>
          <li><a href="../wialon/WialonSdk/WialonSdk.html">WialonSdk</a></li>


    <li class="section-title">
      <a href="../wialon/WialonSdk-class.html#instance-properties">Properties</a>
    </li>
    <li><a href="../wialon/WialonSdk/baseUrl.html">baseUrl</a></li>
    <li><a href="../wialon/WialonSdk/debug.html">debug</a></li>
    <li class="inherited"><a href="https://api.flutter.dev/flutter/dart-core/Object/hashCode.html">hashCode</a></li>
    <li><a href="../wialon/WialonSdk/host.html">host</a></li>
    <li class="inherited"><a href="https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html">runtimeType</a></li>
    <li><a href="../wialon/WialonSdk/sessionId.html">sessionId</a></li>

    <li class="section-title"><a href="../wialon/WialonSdk-class.html#instance-methods">Methods</a></li>
    <li><a href="../wialon/WialonSdk/call.html">call</a></li>
    <li><a href="../wialon/WialonSdk/log.html">log</a></li>
    <li><a href="../wialon/WialonSdk/logout.html">logout</a></li>
    <li class="inherited"><a href="https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html">noSuchMethod</a></li>
    <li><a href="../wialon/WialonSdk/oauthLogin.html">oauthLogin</a></li>
    <li><a href="../wialon/WialonSdk/reverseGeocoding.html">reverseGeocoding</a></li>
    <li><a href="../wialon/WialonSdk/tokenLogin.html">tokenLogin</a></li>
    <li class="inherited"><a href="https://api.flutter.dev/flutter/dart-core/Object/toString.html">toString</a></li>

    <li class="section-title inherited"><a href="../wialon/WialonSdk-class.html#operators">Operators</a></li>
    <li class="inherited"><a href="https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html">operator ==</a></li>




</ol>

  </div><!--/.sidebar-offcanvas-->

</main>

<footer>
  <span class="no-break">
    wialon
      2.0.3
  </span>

  
</footer>



<script src="../static-assets/highlight.pack.js?v1"></script>
<script src="../static-assets/script.js?v1"></script>



</body>

</html>

